ValidateVolumeCapabilitiesRequest (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: ValidateVolumeCapabilitiesRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class ValidateVolumeCapabilitiesRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesRequest

public abstract class ValidateVolumeCapabilitiesRequest extends Object
YARN internal message used to validate volume capabilities with a CSI driver controller plugin.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ValidateVolumeCapabilitiesRequest.AccessMode`
  Volume access mode.
  `static class`
  `ValidateVolumeCapabilitiesRequest.VolumeCapability`
  Volume capability.
  `static enum`
  `ValidateVolumeCapabilitiesRequest.VolumeType`
  Volume type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidateVolumeCapabilitiesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `addVolumeCapability(ValidateVolumeCapabilitiesRequest.VolumeCapability volumeCapability)`
  `abstract Map<String,String>`
  `getVolumeAttributes()`
  `abstract List<ValidateVolumeCapabilitiesRequest.VolumeCapability>`
  `getVolumeCapabilities()`
  `abstract String`
  `getVolumeId()`
  `static ValidateVolumeCapabilitiesRequest`
  `newInstance(String volumeId, List<ValidateVolumeCapabilitiesRequest.VolumeCapability> volumeCapabilities, Map<String,String> volumeAttributes)`
  `static ValidateVolumeCapabilitiesRequest`
  `newInstance(String volumeId, Map<String,String> volumeAttributes)`
  `abstract void`
  `setVolumeAttributes(Map<String,String> attributes)`
  `abstract void`
  `setVolumeId(String volumeId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidateVolumeCapabilitiesRequest

    public ValidateVolumeCapabilitiesRequest()

- ## Method Details

  - ### newInstance

    public static ValidateVolumeCapabilitiesRequest newInstance(String volumeId, List<ValidateVolumeCapabilitiesRequest.VolumeCapability> volumeCapabilities, Map<String,String> volumeAttributes)

  - ### newInstance

    public static ValidateVolumeCapabilitiesRequest newInstance(String volumeId, Map<String,String> volumeAttributes)

  - ### setVolumeId

    public abstract void setVolumeId(String volumeId)

  - ### getVolumeId

    public abstract String getVolumeId()

  - ### setVolumeAttributes

    public abstract void setVolumeAttributes(Map<String,String> attributes)

  - ### getVolumeAttributes

    public abstract Map<String,String> getVolumeAttributes()

  - ### addVolumeCapability

    public abstract void addVolumeCapability(ValidateVolumeCapabilitiesRequest.VolumeCapability volumeCapability)

  - ### getVolumeCapabilities

    public abstract List<ValidateVolumeCapabilitiesRequest.VolumeCapability> getVolumeCapabilities()